Katello - Bug #7342

Calendar icon not functional in Errata by ID content view filter page
09/03/2014 04:38 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1128469 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/463
7
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1128469
Description of problem:
Calendar icon not functional in Errata by ID content view filter page

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.38-1.el6sat.noarch
foreman-compute-1.6.0.38-1.el6sat.noarch
foreman-gce-1.6.0.38-1.el6sat.noarch
foreman-libvirt-1.6.0.38-1.el6sat.noarch
foreman-ovirt-1.6.0.38-1.el6sat.noarch
foreman-postgresql-1.6.0.38-1.el6sat.noarch
foreman-proxy-1.6.0.23-1.el6sat.noarch
foreman-selinux-1.6.0.4-1.el6sat.noarch
foreman-vmware-1.6.0.38-1.el6sat.noarch
katello-1.5.0-28.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.57-1.el6sat.noarch
openldap-2.4.23-34.el6_5.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
pulp-server-2.4.0-0.30.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
sssd-ldap-1.11.5.1-3.e16.x86_64

How reproducible:
Always
https://bugzilla.redhat.com/show_bug.cgi?id=1128469

Steps to Reproduce:

1. Create a content view

2. Select content view -> Content Tab -> Filters

3. Click +New Filter

4. Enter Name, Content Type -> Errata - by ID, Type -> Include. Click Save
5. Select the filter -> Add Tab

6. Notice that the calendar icon is not functional for Start Date and End Date

Actual results:
Notice that the calendar icon is not functional for Start Date and End Date (see screenshot)

Expected results:
The calendar icon should show the calendar widgetfor Start Date and End Date

Additional info:
When | click on the text box for Start Date and End Date - the calendar widget is shown though

Associated revisions

Revision c2b60f01 - 09/03/2014 04:40 PM - Brad Buckingham

fixes #7342 / BZ 1128469 - content view filter - improve behavior when clicking calendar icon

This is a minor change so that when user clicks anywhere on the calendar
icon, the calendar is opened.

Revision 32a39a06 - 09/03/2014 04:40 PM - Brad Buckingham
fixes #7342 / BZ 1128469 - content view filter - improve behavior when clicking calendar icon

This is a minor change so that when user clicks anywhere on the calendar
icon, the calendar is opened.

Revision 626e035a - 09/04/2014 01:59 PM - Brad Buckingham

Merge pull request #4637 from bbuckingham/issue-7342

fixes #7342 / BZ 1128469 - content view filter - improve behavior when clicking calendar icon
Revision a59026c¢f - 09/04/2014 01:59 PM - Brad Buckingham

Merge pull request #4637 from bbuckingham/issue-7342

fixes #7342 / BZ 1128469 - content view filter - improve behavior when clicking calendar icon

History

#1 - 09/03/2014 04:39 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 09/03/2014 04:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4637 added
- Pull request deleted ()

#3 - 09/04/2014 02:02 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|c2b60f011a51edf8ec7ee70258b8bd6b04c5ef7b.

#4 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/katello/revisions/c2b60f011a51edf8ec7ee70258b8bd6b04c5ef7b
